- Qt 5.15
- Qt GUI
- Qt Namespace
- Qt 5.15.19 Reference Documentation

# Qt Namespace

qmake: | QT += gui

## Functions

QString | convertFromPlainText(const QString &plain, WhiteSpaceMode mode = WhiteSpacePre)
bool | mightBeRichText(const QString &text)

## Function Documentation

### QString Qt::convertFromPlainText(const QString &plain, WhiteSpaceMode mode = WhiteSpacePre)

Converts the plain text string plain to an HTML-formatted paragraph while preserving most of its look.

mode defines how whitespace is handled.

This function is defined in the `<QTextDocument>` header file.

See also QString::toHtmlEscaped() and mightBeRichText().

### bool Qt::mightBeRichText(const QString &text)

Returns `true` if the string text is likely to be rich text; otherwise returns `false`.

This function uses a fast and therefore simple heuristic. It mainly checks whether there is something that looks like a tag before the first line break. Although the result may be correct for common cases, there is no guarantee.

This function is defined in the `<QTextDocument>` header file.